# napari-nifti

[![License Apache Software License 2.0](https://img.shields.io/pypi/l/napari-nifti.svg?color=green)](https://github.com/MIC-DKFZ/napari-nifti/raw/main/LICENSE)
[![PyPI](https://img.shields.io/pypi/v/napari-nifti.svg?color=green)](https://pypi.org/project/napari-nifti)
[![Python Version](https://img.shields.io/pypi/pyversions/napari-nifti.svg?color=green)](https://python.org)
[![tests](https://github.com/MIC-DKFZ/napari-nifti/workflows/tests/badge.svg)](https://github.com/MIC-DKFZ/napari-nifti/actions)
[![codecov](https://codecov.io/gh/MIC-DKFZ/napari-nifti/branch/main/graph/badge.svg)](https://codecov.io/gh/MIC-DKFZ/napari-nifti)
[![napari hub](https://img.shields.io/endpoint?url=https://api.napari-hub.org/shields/napari-nifti)](https://napari-hub.org/plugins/napari-nifti)

A napari plugin for reading and writing NIFTI files that have the extension .nii or .nii.gz.

----------------------------------

This [napari] plugin was generated with [Cookiecutter] using [@napari]'s [cookiecutter-napari-plugin] template.

<!--
Don't miss the full getting started guide to set up your new package:
https://github.com/napari/cookiecutter-napari-plugin#getting-started

and review the napari docs for plugin developers:
https://napari.org/stable/plugins/index.html
-->

## Installation

You can install `napari-nifti` via [pip]:

    pip install napari-nifti



To install latest development version :

    pip install git+https://github.com/MIC-DKFZ/napari-nifti.git


## Contributing

Contributions are very welcome. Tests can be run with [tox], please ensure
the coverage at least stays the same before you submit a pull request.

## License

Distributed under the terms of the [Apache Software License 2.0] license,
"napari-nifti" is free and open source software

## Issues

If you encounter any problems, please [file an issue] along with a detailed description.

[napari]: https://github.com/napari/napari
[Cookiecutter]: https://github.com/audreyr/cookiecutter
[@napari]: https://github.com/napari
[MIT]: http://opensource.org/licenses/MIT
[BSD-3]: http://opensource.org/licenses/BSD-3-Clause
[GNU GPL v3.0]: http://www.gnu.org/licenses/gpl-3.0.txt
[GNU LGPL v3.0]: http://www.gnu.org/licenses/lgpl-3.0.txt
[Apache Software License 2.0]: http://www.apache.org/licenses/LICENSE-2.0
[Mozilla Public License 2.0]: https://www.mozilla.org/media/MPL/2.0/index.txt
[cookiecutter-napari-plugin]: https://github.com/napari/cookiecutter-napari-plugin

[file an issue]: https://github.com/MIC-DKFZ/napari-nifti/issues

[napari]: https://github.com/napari/napari
[tox]: https://tox.readthedocs.io/en/latest/
[pip]: https://pypi.org/project/pip/
[PyPI]: https://pypi.org/

# Acknowledgements
<img src="HI_Logo.png" height="100px" />

<img src="dkfz_logo.png" height="100px" />

napari-nifti is developed and maintained by the Applied Computer Vision Lab (ACVL) of [Helmholtz Imaging](http://helmholtz-imaging.de) 
and the [Division of Medical Image Computing](https://www.dkfz.de/en/mic/index.php) at the 
[German Cancer Research Center (DKFZ)](https://www.dkfz.de/en/index.html).